Ask coding questions

← Back to all posts
How do I pick a different version of clojure?
JohnJelinek (0)

I want to target clojure 1.10.1 instead of 1.8, can I do this with repl.it? Also, what about deps.edn instead of project.clj? I don't want to use leiningen.

Commentshotnewtop
JohnJelinek (0)

@a5rocks thanks for sharing. It appears that I can't override the default repl that spins up. I've been able to get a newer clojure repl by running the command in the shell, but it doesn't support the Repl.it run button.

Are there cpu/memory constraints that keep getting my transpile process to fail? Here's what I see from the shell -- I suspect having this run while the default Repl.it Clojure REPL is running is maxing our resources:

clojure -A:fig:build
[Figwheel] Compiling build dev to "target/public/main.js"
Killed
a5rocks (534)

@JohnJelinek oof not sure... have you ever taken a look at https://repl.it/languages/polygott ? You can define the commands to run, so it's cool like that.